
Katello - Bug #6554

ActionController::RoutingError browsing /redhat_provider/

07/09/2014 01:45 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: trivial Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1095965 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/441
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1095965

Description of problem:

Noticed the following error while browsing /redhat_provider/ page:

> /var/log/foreman/production.log <

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/providers/redhat/_repo_sets.haml (29.7ms)

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/providers/redhat/_tab.html.haml (448.8ms)

Completed 200 OK in 767ms (Views: 462.8ms | ActiveRecord: 5.7ms)

Served asset /ui-bg_highlight-hard_75_dadada_1x100.png - 404 Not Found (9ms)   

ActionController::RoutingError (No route matches [GET] "/assets/ui-bg_highlight-hard_75_dadada_1x100.png"):

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in `process_request'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:140:in

`accept_and_process_next_request'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:108:in `main_loop'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:441:in `block (3 levels) in start_threads'

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.9.7-1.el6_5.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.9.7-1.el6_5.noarch

candlepin-tomcat6-0.9.7-1.el6_5.noarch

elasticsearch-0.90.10-4.el6sat.noarch

foreman-1.6.0.7-1.el6sat.noarch

foreman-compute-1.6.0.7-1.el6sat.noarch

foreman-gce-1.6.0.7-1.el6sat.noarch

foreman-libvirt-1.6.0.7-1.el6sat.noarch

foreman-ovirt-1.6.0.7-1.el6sat.noarch

foreman-postgresql-1.6.0.7-1.el6sat.noarch

foreman-proxy-1.6.0.4-1.el6sat.noarch

foreman-selinux-1.5.0-0.develop.el6sat.noarch

foreman-vmware-1.6.0.7-1.el6sat.noarch

katello-1.5.0-22.el6sat.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.5-1.el6sat.noarch

katello-installer-0.0.37-1.el6sat.noarch

openldap-2.4.23-32.el6_4.1.x86_64

pulp-katello-plugins-0.2-1.el6sat.noarch

pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch

05/17/2024 1/3

https://bugzilla.redhat.com/show_bug.cgi?id=1095965


pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch

pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-selinux-2.3.1-0.4.beta.el6sat.noarch

pulp-server-2.3.1-0.4.beta.el6sat.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch

ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch

ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch

rubygem-hammer_cli-0.1.0-12.el6sat.noarch

rubygem-hammer_cli_foreman-0.1.0-12.el6sat.noarch

rubygem-hammer_cli_foreman_tasks-0.0.2-5.el6sat.noarch

rubygem-hammer_cli_katello-0.0.3-22.el6sat.noarch

How reproducible:

Steps to Reproduce:

1. Import a valid manifest file

2. Enable a few Red Hat products

3. Visit the Red Hat Repositories page

Actual results:

Expected results:

Additional info:

Associated revisions

Revision af1990b8 - 07/09/2014 02:46 PM - Walden Raines

Fixes #6554/BZ1095965 - fix path to asset in jquery-ui.

The path to ui-bg_highlight-hard_75_dadada_1x100.png was

incorrect, this commit fixes the path.

http://projects.theforeman.org/issues/6554

https://bugzilla.redhat.com/show_bug.cgi?id=1095965

Revision 57d30448 - 07/15/2014 12:14 PM - Walden Raines

Merge pull request #4412 from waldenraines/6554

Fixes #6554/BZ1095965 - fix path to asset in jquery-ui.

History

#1 - 07/09/2014 02:03 PM - Walden Raines

- Status changed from New to Assigned

#2 - 07/09/2014 02:48 PM - Walden Raines

- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/4412

#3 - 07/09/2014 07:33 PM - Eric Helms

- Target version set to 49

- Difficulty set to trivial

- Triaged changed from No to Yes

#4 - 07/15/2014 12:14 PM - The Foreman Bot

- Pull request https://github.com/Katello/katello/pull/4412 added

#5 - 07/15/2014 01:01 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
Applied in changeset katello|af1990b87657efb082a30c876aa6b2bb7805f474.

#6 - 08/22/2014 09:01 AM - Eric Helms

- translation missing: en.field_release set to 13
